#!/bin/bash -e
# Build script for 'curl' package
# Copyright (C) 2021, 2022 Michail Krasnov ⚪️🔵️⚪️ <linuxoid85@gmail.com>

NAME="curl"
VERSION="7.81.0"

cd /usr/src/"$NAME-$VERSION"

./configure --prefix=/usr              \
            --disable-static           \
            --with-openssl             \
            --enable-threaded-resolver \
            --with-ca-path=/etc/ssl/certs

make
make install

rm -rf docs/examples/.deps &&

find docs \( -name Makefile\* -o -name \*.1 -o -name \*.3 \) -exec rm {} \;

install -v -d -m755 /usr/share/doc/curl-$VERSION
cp -v -R docs/*     /usr/share/doc/curl-$VERSION
